[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TCheckConstraint.FromDictionary

True if the constraint is imported from a datadictionary

## Declaration

Source position: db.pas line 1096

`published property TCheckConstraint.FromDictionary : Boolean read FFromDictionary write FFromDictionary;`

## Description

FromDictionary indicates whether a constraint is imported from a data dictionary. This can be set by TDataset descendents to indicate the source of the constraint, but is otherwise ignored.

## See also

TCheckConstraint.ImportedConstraint |  | Constraint imported from the database engine